require "./body"

module Gravity
  class MovingBody(N) < Body(N)
    getter :acceleration, :speed

    def initialize(@acceleration : Vector(Float64, N) = Vector(Float64, N).zero, @speed : Vector(Float64, N) = Vector(Float64, N).zero, *p, **o)
      super(*p, **o)
    end
  end
end
