# ZeroEpsilon

[![Build Status](https://drone.sceptique.eu/api/badges/Sceptique/ZeroEpsilon/status.svg)](https://drone.sceptique.eu/Sceptique/ZeroEpsilon)

Inspired by <https://github.com/daid/EmptyEpsilon>

## Build

### Dependencies

You need `git make crystal shards sfml imgui imgui-sfml`

### Compilation

    make build # dev build
    make release # optimized

## Run the game

After you build the game, run it with

    export LD_LIBRARY_PATH="$(pwd)/lib/imgui-sfml" # there is a .env file for that
    ./zero_epsilon

## Contributing

You can send email or join me on irc.
Details on <https://sceptique.eu/about>.

If you already have an account on git.sceptique.eu you can contribute to the upstream <https://git.sceptique.eu/Sceptique/ZeroEpsilon>.
I accept all kinds of patch as long as it's not bullshit.

- [Bug Tracker](https://git.sceptique.eu/Sceptique/ZeroEpsilon/issues)
- [Project Roadmap](https://git.sceptique.eu/Sceptique/ZeroEpsilon/projects)
- [Wiki](https://git.sceptique.eu/Sceptique/ZeroEpsilon/wiki)

If you want to test the sandbox, you can try `crystal run src/tests/physics_sandbox.cr --error-trace`
